package com.zbf.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zbf.common.annotation.Excel;
import com.zbf.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 盘点主对象 inventory_check
 *
 * @author tony
 * @date 2024-10-31
 */
@TableName(resultMap = "com.zbf.system.mapper.InventoryCheckMapper.InventoryCheckResult")
public class InventoryCheck extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 盘点时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "盘点时间", width = 30, dateFormat = "yyyy-MM-dd")
    private String checkTime;

    /** 类型 */
    @Excel(name = "类型")
    private String checkType;

    /** 任务号 */
    @Excel(name = "任务号")
    private String taskNumber;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setCheckTime(String checkTime)
    {
        this.checkTime = checkTime;
    }

    public String getCheckTime()
    {
        return checkTime;
    }
    public void setCheckType(String checkType)
    {
        this.checkType = checkType;
    }

    public String getCheckType()
    {
        return checkType;
    }
    public void setTaskNumber(String taskNumber)
    {
        this.taskNumber = taskNumber;
    }

    public String getTaskNumber()
    {
        return taskNumber;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("checkTime", getCheckTime())
                .append("checkType", getCheckType())
                .append("taskNumber", getTaskNumber())
                .toString();
    }
}


















